% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TransferAnnotations.R
\name{TransferAnnotations}
\alias{TransferAnnotations}
\title{Transfer annotations to Seurat clusters}
\usage{
TransferAnnotations(seurat_object, annotation_col, cluster_col, output_col)
}
\arguments{
\item{seurat_object}{Seurat object containing cluster and annotation information.}

\item{annotation_col}{The name of the metadata column with annotations (character string).}

\item{cluster_col}{The name of the metadata column with cluster information (character string).}

\item{output_col}{The name of the output column to store cluster annotations (character string).}
}
\value{
The Seurat object with an additional column in its metadata, specified by \code{output_col}.
}
\description{
This function assigns cluster-level annotations in a Seurat object based on the majority
annotation of cells within each cluster.
}
